Update a workflow definition
PATCH
/v1/workflow-definitions/{id}curl -X PATCH 'https://api.embodiflow.io/v1/workflow-definitions/{id}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"description": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- idstring必填
请求头参数
- if-matchstring必填
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
请求体
Content-Typeapplication/json
- namestring
- descriptionstring
响应
Success
- dataobject必填
- idstring必填
- codestring必填
- namestring必填
- descriptionstring | null必填
- reusableone of必填
- ownerstring必填可选值tenantplatform
- purposestring | null必填
- latestRevisionnumber | null必填
- specHashstring | null必填
- publishedAtstring | null必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"reusable": false,
"owner": "tenant",
"purpose": "string",
"latestRevision": 0,
"specHash": "string",
"publishedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1